Package org.apache.tomcat.jni

## Interface PasswordCallback

    @Deprecated
    public interface PasswordCallback

Deprecated.
Unused. Will be removed in Tomcat 10.1
PasswordCallback Interface

Author:
  Mladen Turk

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.lang.String` `callback​(java.lang.String prompt)` Deprecated. Called when the password is required

### Method Detail

#### callback

    java.lang.String callback​(java.lang.String prompt)

Deprecated.
Called when the password is required

Parameters:
  `prompt` - Password prompt
Returns:
  Valid password or null